/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/*
 * Copyright (c) 1999 / 2000  Johannes Plachy & Computer Mutter
 *
 * JMailSrv@jps.at
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * If you modify this file, please send us a copy.
 */

/********************************************************************************************
* CVS Info
*
* $Source: /cvsroot/jmailsrv/jmailserver/at/jps/mailserver/MailServerAdmin.java,v $
*
* $Author: furykid $
* $Date: 2003/04/01 19:08:12 $
*
* modification history:
*
* $Log: MailServerAdmin.java,v $
* Revision 1.3  2003/04/01 19:08:12  furykid
* cleanup
*
* Revision 1.2  2002/01/20 16:07:13  furykid
* added new header for cvs information
*

*********************************************************************************************/


package at.jps.mailserver;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Date;

/**
 * Interface declaration
 * @author
 * @version %I%, %G%
 */
public interface MailServerAdmin extends Remote
{

   /**
    * Method declaration
    * @return
    * @throws RemoteException
    */
   Date getStartTime() throws RemoteException;

   /**
    * Method declaration
    * @return
    * @throws RemoteException
    */
   long getNrOfIncomingMail() throws RemoteException;

   /**
    * Method declaration
    * @return
    * @throws RemoteException
    */
   long getSizeOfIncomingMail() throws RemoteException;

   /**
    * Method declaration
    * @return
    * @throws RemoteException
    */
   long getNrOfOutgoingMail() throws RemoteException;

   /**
    * Method declaration
    * @return
    * @throws RemoteException
    */
   long getSizeOfOutgoingMail() throws RemoteException;

   /**
    * Method declaration
    * @return
    * @throws RemoteException
    */
   Settings getSettings() throws RemoteException;

   /**
    * Method declaration
    * @param settins
    * @throws RemoteException
    */
   void setSettings( Settings settins ) throws RemoteException;

   /**
    * Method declaration
    * @param User
    * @return
    * @throws RemoteException
    */
   boolean isAutoResponseEnabled( String User ) throws RemoteException;
}



/*--- formatting done in "JPS Convention" style on 08-20-2001 ---*/

