/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/*
 * Copyright (c) 1999 / 2000  Johannes Plachy & Computer Mutter
 *
 * JMailSrv@jps.at
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * If you modify this file, please send us a copy.
 */

/********************************************************************************************
* CVS Info
*
* $Source: /cvsroot/jmailsrv/jmailserver/at/jps/mailserver/ManagedThread.java,v $
*
* $Author: furykid $
* $Date: 2002/01/20 16:07:13 $
*
* modification history:
*
* $Log: ManagedThread.java,v $
* Revision 1.2  2002/01/20 16:07:13  furykid
* added new header for cvs information
*

*********************************************************************************************/


package at.jps.mailserver;

/*
 * Copyright (c) 1999 by Johannes Plachy
 */

/**
 * Class declaration
 * @author
 * @version %I%, %G%
 */
class ManagedThread extends Thread
{
   private ThreadPoolManager  m_manager;

   /**
    * Constructor declaration
    * @param manager
    */
   ManagedThread( ThreadPoolManager manager )
   {
      m_manager = manager;

      start();
   }


   /**
    * Method declaration
    */
   public void run()
   {
      try
      {
         while ( true )
         {
            m_manager.threadWaiting( this );
         }
      }
      catch ( InterruptedException ie )
      {

         // just quit.

      }
   }


   /**
    * Method declaration
    * @param r
    */
   void startRunnable( Runnable r )
   {
      try
      {
         r.run();
      }
      catch ( Exception e )
      {

         // Print out exceptions thrown by Runnables,
         // but return normally to allow thread to
         // continue handling cliuent requests.

         System.err.println( "Error running " + r );
         System.err.println( e );
         e.printStackTrace( System.err );
      }
   }


}



/*--- formatting done in "JPS Convention" style on 08-20-2001 ---*/

