/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/*
 * Copyright (c) 1999 / 2000  Johannes Plachy & Computer Mutter
 *
 * JMailSrv@jps.at
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * If you modify this file, please send us a copy.
 */

/********************************************************************************************
* CVS Info
*
* $Source: /cvsroot/jmailsrv/jmailserver/at/jps/mailserver/PlaySound.java,v $
*
* $Author: furykid $
* $Date: 2003/05/29 18:04:47 $
*
* modification history:
*
* $Log: PlaySound.java,v $
* Revision 1.3  2003/05/29 18:04:47  furykid
* rebuild 290503
*
* Revision 1.2  2002/01/20 16:07:13  furykid
* added new header for cvs information
*

*********************************************************************************************/


package at.jps.mailserver;

import java.applet.*;
import java.net.*;

/**
 * Class declaration
 * @author
 * @version %I%, %G%
 */
class PlaySound
{
   URL         ivURL;
   AudioClip   ivSound;
   boolean     ivErrorHappened;

   /**
    * Constructor declaration
    * @param url
    */
   PlaySound( URL url )
   {
      ivURL = url;
   }


   /**
    * Method declaration
    */
   final public void play()
   {
      if ( ( ivSound == null ) && ( ivErrorHappened == false ) )
      {
         ivSound.play();
      }
   }


   /**
    * Method declaration
    */
//   final private void loadSound()
//   {
//      try
//      {
//         ivSound = Applet.newAudioClip( ivURL );
//      }
//      catch ( Exception x )
//      {
//         ivErrorHappened = true;
//      }
//   }


}



/*--- formatting done in "JPS Convention" style on 08-20-2001 ---*/

