/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/*
 * Copyright (c) 1999 / 2000  Johannes Plachy & Computer Mutter
 *
 * JMailSrv@jps.at
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * If you modify this file, please send us a copy.
 */

/********************************************************************************************
* CVS Info
*
* $Source: /cvsroot/jmailsrv/jmailserver/at/jps/mailserver/CmdOptions.java,v $
*
* $Author: furykid $
* $Date: 2002/01/20 16:07:13 $
*
* modification history:
*
* $Log: CmdOptions.java,v $
* Revision 1.2  2002/01/20 16:07:13  furykid
* added new header for cvs information
*

*********************************************************************************************/


package at.jps.mailserver;

import java.util.Hashtable;
import java.util.Vector;

/**
 * Class declaration
 * @author
 * @version %I%, %G%
 */
public class CmdOptions
{

   /**
    * Method declaration
    * @param arguments
    * @return
    */
   public static Hashtable analyzeOptions( String arguments[] )
   {
      Hashtable   options = new Hashtable();
      Vector      parameter = new Vector();

      for ( int i = 0; i < arguments.length; i++ )
      {
         String   argument = arguments[ i ];

         if ( argument != null )
         {
            if ( argument.indexOf( "-" ) == 0 )
            {
               if ( i + 1 == arguments.length || arguments[ i + 1 ].indexOf( "-" ) == 0 )
               {
                  options.put( argument.substring( 1 ), new Boolean( true ) );
               }
               else
               {
                  options.put( argument.substring( 1 ), arguments[ ++i ] );
               }
            }
            else
            {
               parameter.addElement( argument );
            }
         }
      }

      options.put( "Parameters", parameter );

      return options;
   }


   /**
    * Constructor declaration
    */
   public CmdOptions() {}


}



/*--- formatting done in "JPS Convention" style on 08-20-2001 ---*/

