/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/*
 * Copyright (c) 1999 / 2000  Johannes Plachy & Computer Mutter
 *
 * JMailSrv@jps.at
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * If you modify this file, please send us a copy.
 */

/********************************************************************************************
* CVS Info
*
* $Source: /cvsroot/jmailsrv/jmailserver/at/jps/mailserver/FetchSend.java,v $
*
* $Author: furykid $
* $Date: 2003/04/01 19:08:12 $
*
* modification history:
*
* $Log: FetchSend.java,v $
* Revision 1.3  2003/04/01 19:08:12  furykid
* cleanup
*
* Revision 1.2  2002/01/20 16:07:13  furykid
* added new header for cvs information
*

*********************************************************************************************/


package at.jps.mailserver;


/**
 * Fetcher and Sender Fetch the E-Mail from a Internet Pop3 server and stores the Messages
 * local. And send the local E-Mail to the Internet. This is an application ! (c) 1998 Computer Mutter computer@mutter.com
 * adapted 1999 by Johannes Plachy
 */
final public class FetchSend
{

   /**
    * Constructor declaration
    */
   public FetchSend() {}


   /**
    * Method declaration
    * @param args
    */
   public static void main( String args[] )
   {
      System.out.println( "Java Fetcher and Sender Version 0.93 (c) 1998 Computer Mutter" );
      System.out.println( "adapted 1999 by Johannes Plachy" );

      try
      {
         ConfigurationManager configurationManager = new ConfigurationManager( ConfigurationManager.getDefaultCFGFilename() );

         System.out.println( configurationManager );
         ( new Sender( configurationManager ) ).start();
         ( new Fetcher( configurationManager, -1 ) ).start();
      }
      catch ( Exception exception )
      {
         System.err.println( exception );
      }
   }


}



/*--- formatting done in "JPS Convention" style on 08-20-2001 ---*/

