/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/*
 * Copyright (c) 1999 / 2000  Johannes Plachy & Computer Mutter
 *
 * JMailSrv@jps.at
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * If you modify this file, please send us a copy.
 */

/********************************************************************************************
* CVS Info
*
* $Source: /cvsroot/jmailsrv/jmailserver/at/jps/mailserver/UserAndAlias.java,v $
*
* $Author: furykid $
* $Date: 2002/01/20 16:07:13 $
*
* modification history:
*
* $Log: UserAndAlias.java,v $
* Revision 1.2  2002/01/20 16:07:13  furykid
* added new header for cvs information
*

*********************************************************************************************/


package at.jps.mailserver;

import java.io.*;

/**
 * Class declaration
 * @author
 * @version %I%, %G%
 */
public class UserAndAlias implements Serializable
{

   /**
    * Constructor declaration
    */
   public UserAndAlias() {}


   private String    userName;
   private String    password;
   private String    aliasList;
   private String    forwardingAddress;
   private boolean   useForwardingAddress;

   /**
    * Method declaration
    * @return
    */
   public String getUserName()
   {
      return userName;
   }


   /**
    * Method declaration
    * @param newUserName
    */
   public void setUserName( String newUserName )
   {
      userName = newUserName;
   }


   /**
    * Method declaration
    * @param newPassword
    */
   public void setPassword( String newPassword )
   {
      password = newPassword;
   }


   /**
    * Method declaration
    * @return
    */
   public String getPassword()
   {
      return password;
   }


   /**
    * Method declaration
    * @param newAliasList
    */
   public void setAliasList( String newAliasList )
   {
      aliasList = newAliasList;
   }


   /**
    * Method declaration
    * @return
    */
   public String getAliasList()
   {
      return aliasList;
   }


   /**
    * Method declaration
    * @return
    */
   public String getforwardingAddress()
   {
      return forwardingAddress;
   }


   /**
    * Method declaration
    * @param newAddress
    */
   public void setforwardingAddress( String newAddress )
   {
      forwardingAddress = newAddress;
   }


   /**
    * Method declaration
    * @return
    */
   public boolean getUseForwardingAddress()
   {
      return useForwardingAddress;
   }


   /**
    * Method declaration
    * @param use
    */
   public void setUseForwardingAddress( boolean use )
   {
      useForwardingAddress = use;
   }


}



/*--- formatting done in "JPS Convention" style on 08-20-2001 ---*/

