/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/*
 * Copyright (c) 1999 / 2000  Johannes Plachy & Computer Mutter
 *
 * JMailSrv@jps.at
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * If you modify this file, please send us a copy.
 */

/********************************************************************************************
* CVS Info
*
* $Source: /cvsroot/jmailsrv/jmailserver/at/jps/mailserver/gui/SettingsPanel.java,v $
*
* $Author: furykid $
* $Date: 2003/05/29 18:04:47 $
*
* modification history:
*
* $Log: SettingsPanel.java,v $
* Revision 1.4  2003/05/29 18:04:47  furykid
* rebuild 290503
*
* Revision 1.3  2002/01/20 16:13:29  furykid
* added new header for cvs information
*

*********************************************************************************************/


package at.jps.mailserver.gui;

import at.jps.mailserver.*;
import at.jps.mailserver.util.*;
import java.awt.*;
import java.awt.event.*;
import java.sql.*;
import java.util.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.event.ListSelectionEvent;
import javax.swing.table.*;


/**
 * Class declaration
 * @author
 * @version %I%, %G%
 */
public class SettingsPanel extends JPanel
{
    Settings       ivSettings = null;
    boolean        ivLiveConnection = false;
    JTabbedPane    jTabbedPane1 = new JTabbedPane();
    JPanel         generalSettingsPanel = new JPanel();
    JPanel         JDBCSettingsPanel = new JPanel();
    JPanel         userSettingsPanel = new JPanel();
    JLabel         jLabel1 = new JLabel();
    JTextField     jtxtfldHomeDir = new JTextField();
    JLabel         jLabel2 = new JLabel();
    JTextField     jtxtfldDomainName = new JTextField();
    JLabel         jLabel3 = new JLabel();
    JTextField     jtxtfldSMTPServer = new JTextField();
    JPanel         logSettingsPanel = new JPanel();
    JTextField     jtxtfldPOPServerLog = new JTextField();
    JLabel         jLabel4 = new JLabel();
    JLabel         jLabel5 = new JLabel();
    JTextField     jtxtfldSMTPServerLog = new JTextField();
    JLabel         jLabel6 = new JLabel();
    JTextField     jtxtfldSenderLog = new JTextField();
    JLabel         jLabel7 = new JLabel();
    JTextField     jtxtfldFetcherLog = new JTextField();
    JLabel         jLabel8 = new JLabel();
    JTextField     jtxtfldStatusLog = new JTextField();
    JLabel         jLabel9 = new JLabel();
    JTextField     jtxtfldSMTPServerPort = new JTextField();
    JCheckBox      jchkbxEnableJDBC = new JCheckBox();
    JLabel         jLabel10 = new JLabel();
    JLabel         jLabel11 = new JLabel();
    JTextField     jtxtfldJDBCURL = new JTextField();
    JTextField     jtxtfldJDBCDriverName = new JTextField();
    JPanel         jPanel1 = new JPanel();
    JButton        jbtnCancel = new JButton();
    JButton        jbtnOK = new JButton();
    JCheckBox      jchkbxRunSender = new JCheckBox();
    JCheckBox      jchkbxRunFetcher = new JCheckBox();
    JLabel         jLabel16 = new JLabel();
    JTextField     jtxtfldPOPLocalPort = new JTextField();
    JLabel         jLabel17 = new JLabel();
    JTextField     jtxtfldSMTPLocalPort = new JTextField();
    JLabel         jLabel18 = new JLabel();
    JTextField     jtxtfldFetcherDelay = new JTextField();
    JTextField     jtxtfldUsername = new JTextField();
    JLabel         jLabel110 = new JLabel();
    JLabel         jLabel111 = new JLabel();
    JLabel         jLabel112 = new JLabel();
    JTextField     jtxtfldAliasList = new JTextField();
    JTextField     jtxtfldMailUserPwd = new JTextField();
    JButton        jbtnAddUser = new JButton();
    JButton        jbtnRemoveUser = new JButton();
    JScrollPane    jScrollPane1 = new JScrollPane();
    JTable         jUserTable = null;
    GridBagLayout  gridBagLayout2 = new GridBagLayout();
    JLabel         jLabel113 = new JLabel();
    JTextField     jtxtfldAdmin = new JTextField();
    JLabel         jLabel114 = new JLabel();
    JTextField     jtxtfldDefaultUser = new JTextField();
    JButton        jbtnAdmin = new JButton();
    JButton        jbtnDefault = new JButton();
    GridBagLayout  gridBagLayout4 = new GridBagLayout();
    TitledBorder   titledBorder1;
    JPanel         PopAccountsPanel = new JPanel();
    JButton        jbtnAddPOPAccount = new JButton();
    JTextField     jtxtfldPOPUsername = new JTextField();
    JTextField     jtxtfldPOPUserPwd = new JTextField();
    JLabel         jLabel115 = new JLabel();
    JLabel         jLabel116 = new JLabel();
    JLabel         jLabel117 = new JLabel();
    JTextField     jtxtfldPOPServerName = new JTextField();
    JTable         jPOPTable = null;
    JButton        jbtnRemovePOPAccount = new JButton();
    JScrollPane    jScrollPane2 = new JScrollPane();
    JLabel         jLabel118 = new JLabel();
    JTextField     jtxtfldPOPServerPort = new JTextField();
    GridBagLayout  gridBagLayout5 = new GridBagLayout();
    JButton        jbtnJDBCTest = new JButton();
    JTextArea      jTextArea1 = new JTextArea();
    JPanel         jStatisticsPanel = new JPanel();
    JLabel         jLabel15 = new JLabel();
    JTextField     jtxtfldServerUp = new JTextField();
    JTextField     jtxtfldNrMailsIn = new JTextField();
    JLabel         jLabel120 = new JLabel();
    JTextField     jtxtfldNrMailsOut = new JTextField();
    JLabel         jLabel121 = new JLabel();
    JLabel         jLabel122 = new JLabel();
    JLabel         jLabel123 = new JLabel();
    JTextField     jtxtfldSizeofMailsIn = new JTextField();
    JTextField     jtxtfldSizeOfMailsOut = new JTextField();
    JLabel         jLabel124 = new JLabel();
    JTextField     jtxtfldDNServer = new JTextField();
    JLabel         jLabel12 = new JLabel();
    JTextField     jtxtfldTransactionLog = new JTextField();
    GridBagLayout  gridBagLayout1 = new GridBagLayout();
    BorderLayout   borderLayout1 = new BorderLayout();
    JButton        jbtnAbout = new JButton();

    MailServerAdmin msAdmin;
    JLabel jLabel13 = new JLabel();
    JTextField jtxtfldMaxThreads = new JTextField();
    JCheckBox jchkbxStatusWindow = new JCheckBox();
    GridBagLayout gridBagLayout3 = new GridBagLayout();
    GridBagLayout gridBagLayout6 = new GridBagLayout();

    /**
     * Constructor declaration
     * @param settings
     * @param isLive
     */
    public SettingsPanel( Settings settings, boolean isLive, MailServerAdmin msAdmin)
    {
        try
        {
            ivSettings = settings;
            ivLiveConnection = isLive;

            this.msAdmin = msAdmin;

            jbInit();
        }
        catch ( Exception ex )
        {
            ex.printStackTrace();
        }
    }


    /**
     * Method declaration
     * @throws Exception
     */
    private void jbInit() throws Exception
    {
        jStatisticsPanel.setVisible( ivLiveConnection );

        titledBorder1 = new TitledBorder( "" );

        this.setLayout( borderLayout1 );
        generalSettingsPanel.setLayout(gridBagLayout6 );
        jLabel1.setToolTipText( "full path to the directory where the user mail directories will be " + "created" );
        jLabel1.setLabelFor( jtxtfldHomeDir );
        jLabel1.setText( "Home directory" );
        jtxtfldHomeDir.setToolTipText( "full path to the directory where the user mail directories will be " + "created" );
        jtxtfldHomeDir.setText( "." );
        jLabel2.setToolTipText( "your local domain name" );
        jLabel2.setLabelFor( jtxtfldDomainName );
        jLabel2.setText( "local domain name" );
        jtxtfldDomainName.setToolTipText( "your local domain name" );
        jtxtfldDomainName.setText( "yourdomain.com" );
        jLabel3.setToolTipText( "your ISPs SMTP server, where all outgouing mail will be forwarded " + "to" );
        jLabel3.setLabelFor( jtxtfldSMTPServer );
        jLabel3.setText( "your SMTP server" );
        jtxtfldSMTPServer.setToolTipText( "your ISPs SMTP server, where all outgouing mail will be forwarded " + "to" );
        jtxtfldSMTPServer.setText( "yourdomain.com" );
        logSettingsPanel.setLayout( gridBagLayout1 );
        jtxtfldPOPServerLog.setToolTipText( "full Path to logfile for POP server messages" );
        jtxtfldPOPServerLog.setText( "POP.log" );
        jLabel4.setToolTipText( "full Path to logfile for POP server messages" );
        jLabel4.setLabelFor( jtxtfldPOPServerLog );
        jLabel4.setText( "logfile for the POP server" );
        jLabel5.setToolTipText( "full Path to logfile for SMTP server messages" );
        jLabel5.setLabelFor( jtxtfldSMTPServerLog );
        jLabel5.setText( "logfile for the SMTP server" );
        jtxtfldSMTPServerLog.setToolTipText( "full Path to logfile for SMTP server messages" );
        jtxtfldSMTPServerLog.setText( "SMTP.log" );
        jLabel6.setToolTipText( "full Path to logfile for Sender daemon messages" );
        jLabel6.setLabelFor( jtxtfldSenderLog );
        jLabel6.setText( "logfile for the Sender daemon" );
        jtxtfldSenderLog.setToolTipText( "full Path to logfile for Sender daemon messages" );
        jtxtfldSenderLog.setText( "sender.log" );
        jLabel7.setToolTipText( "full Path to logfile for Fetcher daemon messages" );
        jLabel7.setLabelFor( jtxtfldFetcherLog );
        jLabel7.setText( "logfile for the Fetcher daemon" );
        jtxtfldFetcherLog.setToolTipText( "full Path to logfile for Fetcher daemon messages" );
        jtxtfldFetcherLog.setText( "fetcher.log" );
        jLabel8.setToolTipText( "full Path to logfile for Status messages" );
        jLabel8.setLabelFor( jtxtfldStatusLog );
        jLabel8.setText( "logfile for status messages" );
        jtxtfldStatusLog.setToolTipText( "full Path to logfile for Status messages" );
        jtxtfldStatusLog.setText( "status.log" );
        jLabel9.setToolTipText( "your ISPs SMTP Server TCP/IP Port (default 25)" );
        jLabel9.setLabelFor( jtxtfldSMTPServerPort );
        jLabel9.setText( "Port" );
        jtxtfldSMTPServerPort.setToolTipText( "your ISPs SMTP Server TCP/IP Port (default 25)" );
        jtxtfldSMTPServerPort.setText( "25" );
        JDBCSettingsPanel.setLayout( gridBagLayout2 );
        jchkbxEnableJDBC.setToolTipText( "to enable JDBC check this box. If disabled mail will be stored in " + "OS files" );
        jchkbxEnableJDBC.setText( "enable JDBC" );
        jLabel10.setToolTipText( "the fully qualified classname of the JDBC driver to be used to access " + "your SQL database" );
        jLabel10.setLabelFor( jtxtfldJDBCDriverName );
        jLabel10.setText( "JDBC Driver class name" );
        jLabel11.setToolTipText( "the URL to access your database server" );
        jLabel11.setLabelFor( jtxtfldJDBCURL );
        jLabel11.setText( "URL to access database" );
        jtxtfldJDBCURL.setToolTipText( "the URL to access your database server" );
        jtxtfldJDBCURL.setText( "jdbc:mysql://www.myserver.com" );
        jtxtfldJDBCDriverName.setToolTipText( "the fully qualified classname of the JDBC driver to be used to access " + "your SQL database" );
        jtxtfldJDBCDriverName.setText( "yourdomain.com" );
        jbtnCancel.setToolTipText( "click this button to discard changes and exit" );
        jbtnCancel.setActionCommand( "jbtnCancel" );
        jbtnCancel.setText( "Cancel" );
        jbtnCancel.addActionListener( new java.awt.event.ActionListener()
                                      {

                                          /**
                                           * Method declaration
                                           * @param e
                                           */
                                          public void actionPerformed( ActionEvent e )
                                          {
                                              jbtnCancel_actionPerformed( e );
                                          }


                                      } );
        jbtnOK.setToolTipText( "click this button to save changes and exit" );
        jbtnOK.setActionCommand( "jbtnOK" );
        jbtnOK.setText( "OK" );
        jbtnOK.addActionListener( new java.awt.event.ActionListener()
                                  {

                                      /**
                                       * Method declaration
                                       * @param e
                                       */
                                      public void actionPerformed( ActionEvent e )
                                      {
                                          jbtnOK_actionPerformed( e );
                                      }


                                  } );
        jchkbxRunSender.setToolTipText( "check this box if you want a sender daemn automatically forwarding " + "your outgoing mail" );
        jchkbxRunSender.setText( "run Sender daemon" );
        jchkbxRunSender.setActionCommand( "jchkbxRunSender" );
        jchkbxRunFetcher.setToolTipText( "check this box if you want a fetcher daemon automaticaly check your " + "remote POP3 accounts for new mail" );
        jchkbxRunFetcher.setText( "run fetcher daemon" );
        jchkbxRunFetcher.setActionCommand( "jchkbxRunFetcher" );
        jLabel16.setToolTipText( "the local POPServers TCP/IP Port (default 110)" );
        jLabel16.setLabelFor( jtxtfldPOPLocalPort );
        jLabel16.setText( "local POP server Port" );
        jtxtfldPOPLocalPort.setToolTipText( "the local POPServers TCP/IP Port (default 110) " );
        jtxtfldPOPLocalPort.setText( "110" );
        jLabel17.setToolTipText( "the local SMTP TCP/IP Port ( default 25)" );
        jLabel17.setLabelFor( jtxtfldSMTPLocalPort );
        jLabel17.setText( "local SMTP Server Port" );
        jtxtfldSMTPLocalPort.setToolTipText( "the local SMTP TCP/IP Port ( default 25)" );
        jtxtfldSMTPLocalPort.setText( "25" );
        jLabel18.setToolTipText( "the delay (in minutes) to wait before checking remote accounts again" );
        jLabel18.setLabelFor( jtxtfldFetcherDelay );
        jLabel18.setText( "delay for the Fetcher daemon" );
        jtxtfldFetcherDelay.setToolTipText( "the delay (in minutes) to wait before checking remote accounts again" );
        jtxtfldFetcherDelay.setText( "2" );
        userSettingsPanel.setLayout( gridBagLayout4 );
        jtxtfldUsername.setText( "Wastl" );
        jtxtfldUsername.setToolTipText( "the mail users name" );
        jLabel110.setText( "Username" );
        jLabel110.setToolTipText( "the mail users name" );
        jLabel110.setLabelFor( jtxtfldUsername );
        jLabel111.setText( "password" );
        jLabel111.setToolTipText( "the password of the mailuser" );
        jLabel111.setLabelFor( jtxtfldMailUserPwd );
        jLabel112.setText( "Aliaslist" );
        jLabel112.setToolTipText( "The list of alias\' that can be used as replacement for the username " + "above (list seperated with ; )" );
        jLabel112.setLabelFor( jtxtfldAliasList );
        jtxtfldAliasList.setText( "avatar" );
        jtxtfldAliasList.setToolTipText( "The list of alias\' that can be used as replacement for the username " + "above (list seperated with ; )" );
        jtxtfldMailUserPwd.setText( "***" );
        jtxtfldMailUserPwd.setToolTipText( "the password of the mailuser" );
        jbtnAddUser.setToolTipText( "click this button to register the above defined user" );
        jbtnAddUser.setActionCommand( "jbtnAddUser" );
        jbtnAddUser.setText( "Add" );
        jbtnAddUser.addActionListener( new java.awt.event.ActionListener()
                                       {

                                           /**
                                            * Method declaration
                                            * @param e
                                            */
                                           public void actionPerformed( ActionEvent e )
                                           {
                                               jbtnAddUser_actionPerformed( e );
                                           }


                                       } );
        jbtnRemoveUser.setToolTipText( "remove the selected user from the list of registered users" );
        jbtnRemoveUser.setActionCommand( "jbtnRemoveUser" );
        jbtnRemoveUser.setText( "Remove" );
        jbtnRemoveUser.addActionListener( new java.awt.event.ActionListener()
                                          {

                                              /**
                                               * Method declaration
                                               * @param e
                                               */
                                              public void actionPerformed( ActionEvent e )
                                              {
                                                  jbtnRemoveUser_actionPerformed( e );
                                              }


                                          } );
        jLabel113.setLabelFor( jtxtfldAdmin );
        jLabel113.setToolTipText( "set focused user to be mail administrator" );
        jLabel113.setText( "Admin" );
        jtxtfldAdmin.setToolTipText( "set focused user to be mail administrator" );
        jLabel114.setLabelFor( jtxtfldDefaultUser );
        jLabel114.setToolTipText( "this user will receive all mail that would otherwise be undeliverable" );
        jLabel114.setText( "Default" );
        jtxtfldDefaultUser.setToolTipText( "this user will receive all mail that would otherwise be undeliverable" );
        jbtnAdmin.setMaximumSize( new Dimension( 81, 27 ) );
        jbtnAdmin.setMinimumSize( new Dimension( 81, 27 ) );
        jbtnAdmin.setPreferredSize( new Dimension( 82, 27 ) );
        jbtnAdmin.setToolTipText( "the selected user will be acting as mail administrator" );
        jbtnAdmin.setActionCommand( "jbtnAdmin" );
        jbtnAdmin.setText( "set Admin" );
        jbtnAdmin.addActionListener( new java.awt.event.ActionListener()
                                     {

                                         /**
                                          * Method declaration
                                          * @param e
                                          */
                                         public void actionPerformed( ActionEvent e )
                                         {
                                             jbtnAdmin_actionPerformed( e );
                                         }


                                     } );
        jbtnDefault.setText( "set Default" );
        jbtnDefault.addActionListener( new java.awt.event.ActionListener()
                                       {

                                           /**
                                            * Method declaration
                                            * @param e
                                            */
                                           public void actionPerformed( ActionEvent e )
                                           {
                                               jbtnDefault_actionPerformed( e );
                                           }


                                       } );
        jbtnDefault.setToolTipText( "click this button to set the selected user as default, if undeliverable " + "mail has to be processed" );
        jbtnDefault.setActionCommand( "jbtnDefault" );
        jScrollPane1.setPreferredSize( new Dimension( 100, 100 ) );
        jScrollPane1.setToolTipText( "to add users to this list, enter information and click the ADD button" );
        PopAccountsPanel.setLayout( gridBagLayout5 );
        jbtnAddPOPAccount.addActionListener( new java.awt.event.ActionListener()
                                             {

                                                 /**
                                                  * Method declaration
                                                  * @param e
                                                  */
                                                 public void actionPerformed( ActionEvent e )
                                                 {
                                                     jbtnAddPOPAccount_actionPerformed( e );
                                                 }


                                             } );
        jbtnAddPOPAccount.setText( "Add" );
        jbtnAddPOPAccount.setToolTipText( "click this button to add the defined POP3 connection settings to " + "your lit of defined settings" );
        jbtnAddPOPAccount.setActionCommand( "jbtnAddPOPAccount" );
        jtxtfldPOPUsername.setToolTipText( "the users name for this POP3 account" );
        jtxtfldPOPUsername.setText( "username" );
        jtxtfldPOPUserPwd.setToolTipText( "the password of the POP3 mailuser" );
        jtxtfldPOPUserPwd.setText( "***" );
        jLabel115.setLabelFor( jtxtfldPOPUsername );
        jLabel115.setToolTipText( "the users name for this POP3 account" );
        jLabel115.setText( "Username" );
        jLabel116.setToolTipText( "the password of the POP3 mailuser" );
        jLabel116.setLabelFor( jtxtfldPOPUserPwd );
        jLabel116.setText( "password" );
        jLabel117.setLabelFor( jtxtfldPOPServerName );
        jLabel117.setToolTipText( "the servername of a remote POP3 server you want to retrieve mail " + "from" );
        jLabel117.setText( "remote POP Server name" );
        jtxtfldPOPServerName.setToolTipText( "the servername of a remote POP3 server you want to retrieve mail " + "from" );
        jtxtfldPOPServerName.setText( "pop.yourISP.com" );
        jbtnRemovePOPAccount.addActionListener( new java.awt.event.ActionListener()
                                                {

                                                    /**
                                                     * Method declaration
                                                     * @param e
                                                     */
                                                    public void actionPerformed( ActionEvent e )
                                                    {
                                                        jbtnRemovePOPAccount_actionPerformed( e );
                                                    }


                                                } );
        jbtnRemovePOPAccount.setText( "Remove" );
        jbtnRemovePOPAccount.setToolTipText( "click this button to remove the selected settings from the list" );
        jbtnRemovePOPAccount.setActionCommand( "jbtnRemovePOPAccount" );
        jScrollPane2.setPreferredSize( new Dimension( 100, 100 ) );
        jScrollPane2.setToolTipText( "to add Server definitions to this list, provide information and press " + "the ADD button" );
        jLabel118.setText( "Port" );
        jLabel118.setToolTipText( "TCP/IP Port of the remote POP3 server (default 110)" );
        jLabel118.setLabelFor( jtxtfldPOPServerPort );
        jtxtfldPOPServerPort.setText( "110" );
        jtxtfldPOPServerPort.setToolTipText( "TCP/IP Port of the remote POP3 server (default 110)" );
        generalSettingsPanel.setMinimumSize( new Dimension( 640, 480 ) );
        generalSettingsPanel.setPreferredSize( new Dimension( 640, 480 ) );
        generalSettingsPanel.setToolTipText( "general settings for Java Mailserver" );
        JDBCSettingsPanel.setMinimumSize( new Dimension( 640, 480 ) );
        JDBCSettingsPanel.setPreferredSize( new Dimension( 640, 480 ) );
        JDBCSettingsPanel.setToolTipText( "JDBC related settings for Java MailServer  If you do not use a database " + "to store mail, just ignore this page" );
        userSettingsPanel.setMinimumSize( new Dimension( 640, 480 ) );
        userSettingsPanel.setPreferredSize( new Dimension( 640, 480 ) );
        userSettingsPanel.setToolTipText( "mailuser related settings for Java MailServer" );
        logSettingsPanel.setMinimumSize( new Dimension( 640, 480 ) );
        logSettingsPanel.setPreferredSize( new Dimension( 640, 480 ) );
        logSettingsPanel.setToolTipText( "logging related settings for Java MailServer" );
        jbtnJDBCTest.setToolTipText( "press this button to test the connection to the JDBC server (this " + "only makes sense if you are on the machine that runs the mailservice " + "!)" );
        jbtnJDBCTest.setText( "Test Connection" );
        jbtnJDBCTest.addActionListener( new java.awt.event.ActionListener()
                                        {

                                            /**
                                             * Method declaration
                                             * @param e
                                             */
                                            public void actionPerformed( ActionEvent e )
                                            {
                                                jbtnJDBCTest_actionPerformed( e );
                                            }


                                        } );
        jTextArea1.setLineWrap( true );
        jTextArea1.setBorder( BorderFactory.createLoweredBevelBorder() );
        jTextArea1.setText( "test the connection to the JDBC datasource. This works only if you " + "are on the machine that runs the mailserver" );
        jTextArea1.setEditable( false );
        jTextArea1.setFont( new java.awt.Font( "SansSerif", 0, 12 ) );
        jLabel15.setText( "server up since" );
        jStatisticsPanel.setLayout(gridBagLayout3 );
        jtxtfldServerUp.setEditable( false );
        jtxtfldServerUp.setText( "today" );
        jtxtfldNrMailsIn.setEditable( false );
        jtxtfldNrMailsIn.setText( "today" );
        jLabel120.setText( "nr of mails in" );
        jtxtfldNrMailsOut.setEditable( false );
        jtxtfldNrMailsOut.setText( "today" );
        jLabel121.setText( "nr of mails out" );
        jLabel122.setText( "size of mails in" );
        jLabel123.setText( "size of mails out" );
        jtxtfldSizeofMailsIn.setEditable( false );
        jtxtfldSizeofMailsIn.setText( "today" );
        jtxtfldSizeOfMailsOut.setEditable( false );
        jtxtfldSizeOfMailsOut.setText( "today" );
        jLabel124.setText("DNS server" );
        jLabel124.setLabelFor( jtxtfldSMTPLocalPort );
        jLabel124.setToolTipText( "the Domain Name Server for name resolution" );
        jtxtfldDNServer.setText( "2" );
        jtxtfldDNServer.setToolTipText( "the Domain Name Server for name resolution" );
        jLabel12.setText( "logfile for transaction messages" );
        jLabel12.setLabelFor( jtxtfldTransactionLog );
        jLabel12.setToolTipText( "full Path to logfile for transaction messages" );
        jtxtfldTransactionLog.setText( "transaction.log" );
        jtxtfldTransactionLog.setToolTipText( "full Path to logfile for transaction messages" );
        jbtnAbout.setToolTipText( "click this button to see copyright information" );
        jbtnAbout.setActionCommand( "jbtnAbout" );
        jbtnAbout.setText( "About" );
        jbtnAbout.addActionListener( new java.awt.event.ActionListener()
                                     {

                                         /**
                                          * Method declaration
                                          * @param e
                                          */
                                         public void actionPerformed( ActionEvent e )
                                         {
                                             jbtnAbout_actionPerformed( e );
                                         }


                                     } );


        PopAccountsPanel.setMinimumSize( new Dimension( 640, 480 ) );
        PopAccountsPanel.setPreferredSize( new Dimension( 640, 480 ) );
        jStatisticsPanel.setMinimumSize( new Dimension( 640, 480 ) );
        jStatisticsPanel.setPreferredSize( new Dimension( 640, 480 ) );
        jLabel13.setToolTipText("Number of workerthreads for POP & SMTP connections");
        jLabel13.setText("Workerthreads");
        jtxtfldMaxThreads.setToolTipText("Number of workerthreads for POP & SMTP connections");
        jtxtfldMaxThreads.setText("10");
        jtxtfldMaxThreads.addActionListener(new java.awt.event.ActionListener()
                                      {
                                          public void actionPerformed(ActionEvent e)
                                          {
                                              jtxtfldMaxThreads_actionPerformed(e);
                                          }
                                      });
        jchkbxStatusWindow.setToolTipText("show status window of server for visible trafic");
        jchkbxStatusWindow.setSelected(ivSettings.isRunFetcherDaemon());
        jchkbxStatusWindow.setText("show Status window");
        this.add( jTabbedPane1, BorderLayout.CENTER );

        // ImageIcon   logo = new ImageIcon( "images/jms.gif", "JMS!" );
        // ImageIcon   javacup = new ImageIcon( "images/javacup.gif", "JavaCup" );

        jTabbedPane1.add( generalSettingsPanel, "General Settings" );
        generalSettingsPanel.add(jtxtfldHomeDir,  new GridBagConstraints(0, 1, 1, 1, 1.0, 0.0
                                                                         ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 18, 0, 0), 229, 0));
        generalSettingsPanel.add(jLabel1,  new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
                                                                  ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(36, 18, 0, 150), 0, 0));
        generalSettingsPanel.add(jtxtfldDomainName,  new GridBagConstraints(0, 3, 1, 1, 1.0, 0.0
                                                                            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 18, 0, 0), 229, 0));
        generalSettingsPanel.add(jLabel2,  new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
                                                                  ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(8, 18, 0, 127), 0, 0));
        generalSettingsPanel.add(jtxtfldSMTPServer,  new GridBagConstraints(0, 5, 1, 1, 1.0, 0.0
                                                                            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 18, 0, 0), 229, 0));
        generalSettingsPanel.add(jLabel3,  new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
                                                                  ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(8, 18, 0, 138), 0, 0));
        generalSettingsPanel.add(jLabel9,  new GridBagConstraints(1, 4, 1, 1, 0.0, 0.0
                                                                  ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(9, 13, 0, 0), 0, 0));
        generalSettingsPanel.add(jtxtfldSMTPServerPort,  new GridBagConstraints(1, 5, 2, 1, 1.0, 0.0
                                                                                ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 13, 0, 157), 130, 0));
        generalSettingsPanel.add(jchkbxRunSender,  new GridBagConstraints(0, 6, 1, 1, 0.0, 0.0
                                                                          ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(26, 79, 0, 37), 0, 0));
        generalSettingsPanel.add(jchkbxRunFetcher,  new GridBagConstraints(2, 6, 1, 1, 0.0, 0.0
                                                                           ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(26, 29, 0, 104), 4, 0));
        generalSettingsPanel.add(jtxtfldPOPLocalPort,  new GridBagConstraints(0, 8, 1, 1, 1.0, 0.0
                                                                              ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 37, 0, 77), 133, 0));
        generalSettingsPanel.add(jLabel16,  new GridBagConstraints(0, 7, 1, 1, 0.0, 0.0
                                                                   ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(23, 37, 0, 98), 0, 0));
        generalSettingsPanel.add(jtxtfldSMTPLocalPort,  new GridBagConstraints(0, 10, 1, 1, 1.0, 0.0
                                                                               ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 37, 0, 77), 133, 0));
        generalSettingsPanel.add(jLabel17,  new GridBagConstraints(0, 9, 1, 1, 0.0, 0.0
                                                                   ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(17, 37, 0, 90), 0, 0));
        generalSettingsPanel.add(jLabel18,  new GridBagConstraints(2, 7, 1, 1, 0.0, 0.0
                                                                   ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(23, 6, 0, 92), 12, 0));
        generalSettingsPanel.add(jtxtfldFetcherDelay,  new GridBagConstraints(2, 8, 1, 1, 1.0, 0.0
                                                                              ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 203), 57, 0));
        generalSettingsPanel.add(jLabel124,  new GridBagConstraints(2, 9, 1, 1, 0.0, 0.0
                                                                    ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(17, 0, 0, 24), 177, 0));
        generalSettingsPanel.add(jtxtfldDNServer,  new GridBagConstraints(2, 10, 1, 1, 1.0, 0.0
                                                                          ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 153), 107, 0));
        generalSettingsPanel.add(jLabel13,  new GridBagConstraints(0, 11, 1, 1, 0.0, 0.0
                                                                   ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(19, 37, 0, 133), 0, 0));
        generalSettingsPanel.add(jtxtfldMaxThreads,  new GridBagConstraints(0, 12, 1, 1, 1.0, 0.0
                                                                      ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 37, 26, 79), 117, 0));
        generalSettingsPanel.add(jchkbxStatusWindow,  new GridBagConstraints(2, 11, 1, 2, 0.0, 0.0
                                                                             ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(17, 0, 42, 128), -2, 0));



        jTabbedPane1.add( userSettingsPanel, "User Settings" );
        userSettingsPanel.add( jLabel110, new GridBagConstraints( 0, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 39, 33, 0, 0 ), 0, 0 ) );
        userSettingsPanel.add( jtxtfldUsername, new GridBagConstraints( 0, 1, 2, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 33, 0, 0 ), 193, 0 ) );
        userSettingsPanel.add( jLabel111, new GridBagConstraints( 0, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 6, 33, 0, 0 ), 0, 0 ) );
        userSettingsPanel.add( jtxtfldMailUserPwd, new GridBagConstraints( 0, 3, 2, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 33, 0, 0 ), 209, 0 ) );
        userSettingsPanel.add( jLabel112, new GridBagConstraints( 0, 4, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 6, 33, 0, 16 ), 0, 0 ) );
        userSettingsPanel.add( jtxtfldAliasList, new GridBagConstraints( 0, 5, 2, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 33, 0, 0 ), 191, 0 ) );
        userSettingsPanel.add( jLabel114, new GridBagConstraints( 0, 9, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 19, 33, 0, 20 ), 0, 0 ) );
        userSettingsPanel.add( jtxtfldAdmin, new GridBagConstraints( 0, 8, 2, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 33, 0, 0 ), 224, 0 ) );
        userSettingsPanel.add( jLabel113, new GridBagConstraints( 0, 7, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 44, 33, 0, 24 ), 0, 0 ) );
        userSettingsPanel.add( jbtnAddUser, new GridBagConstraints( 0, 6, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 10, 33, 0, 0 ), 0, 0 ) );
        userSettingsPanel.add( jbtnRemoveUser, new GridBagConstraints( 1, 6, 1, 1, 1.0, 0.0, GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets( 9, 74, 0, 0 ), 28, 0 ) );
        userSettingsPanel.add( jbtnAdmin, new GridBagConstraints( 1, 7, 1, 1, 1.0, 0.0, GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets( 28, 53, 6, 1 ), 10, 0 ) );
        userSettingsPanel.add( jScrollPane1, new GridBagConstraints( 2, 0, 1, 11, 1.0, 1.0, GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets( 20, 14, 10, 13 ), 198, 318 ) );
        userSettingsPanel.add( jbtnDefault, new GridBagConstraints( 1, 9, 1, 1, 0.0, 0.0, GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets( 0, 61, 0, 0 ), 0, 0 ) );
        userSettingsPanel.add( jtxtfldDefaultUser, new GridBagConstraints( 0, 10, 2, 1, 1.0, 0.0, GridBagConstraints.NORTHWEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 33, 0, 0 ), 224, 0 ) );



        TableModel  UserdataModel = new AbstractTableModel()
        {
            String   columnNames[] =
            {
                "User", "Password", "Aliaslist"
            };

            /**
             * Method declaration
             * @return
             */
            public int getColumnCount()
            {
                return columnNames.length;
            }


            /**
             * Method declaration
             * @return
             */
            public int getRowCount()
            {
                return ivSettings.getUserList().size();
            }


            /**
             * Method declaration
             * @param row
             * @param col
             * @return
             */
            public Object getValueAt( int row, int col )
            {
                try
                {
                    UserAndAlias   uaa = ( UserAndAlias )ivSettings.getUserList().elementAt( row );

                    switch ( col )
                    {

                    case 0:
                        return uaa.getUserName();

                    case 1:
                        return uaa.getPassword();

                    case 2:
                        return( ( uaa.getAliasList() != null ) ? uaa.getAliasList() : "" );

                    default:
                        return "no data available";
                    }
                }
                catch ( Exception x )
                {
                    return x.toString();
                }
            }


            /**
             * Method declaration
             * @param column
             * @return
             */
            public String getColumnName( int column )
            {
                return columnNames[ column ];
            }


            /**
             * Method declaration
             * @param c
             * @return
             */
            public Class getColumnClass( int c )
            {
                return getValueAt( 0, c ).getClass();
            }


            /**
             * Method declaration
             * @param row
             * @param col
             * @return
             */
            public boolean isCellEditable( int row, int col )
            {
                return false;
            }


            /**
             * Method declaration
             * @param aValue
             * @param row
             * @param column
             */
            public void setValueAt( Object aValue, int row, int column )
            {
                if ( aValue == null )   // remove
                {
                    if ( ( row > -1 ) && ( row < ivSettings.getUserList().size() ) )
                    {
                        ivSettings.getUserList().removeElementAt( row );
                        fireTableRowsDeleted( row, row );
                    }

                    return;
                }

                UserAndAlias   uaa = null;

                if ( row < ivSettings.getUserList().size() )
                {
                    uaa = ( UserAndAlias )ivSettings.getUserList().elementAt( row );

                    fireTableRowsUpdated( row, row );
                }
                else
                {
                    uaa = new UserAndAlias();

                    ivSettings.getUserList().addElement( uaa );
                    fireTableRowsInserted( ivSettings.getUserList().size(), ivSettings.getUserList().size() );
                }

                switch ( column )
                {

                case 0:
                    uaa.setUserName( ( String )aValue );

                    break;

                case 1:
                    uaa.setPassword( ( String )aValue );

                    break;

                case 2:
                    uaa.setAliasList( ( String )aValue );

                default:
                    ;
                }
            }


        };

        jUserTable = new JTable( UserdataModel );

        jUserTable.setToolTipText( "this users are registerd to send and receive mail from Java MailServer" );
        jScrollPane1.getViewport().add( jUserTable, null );
        jUserTable.setSelectionMode( 0 );
        jUserTable.getSelectionModel().addListSelectionListener( new javax.swing.event.ListSelectionListener()
                                                                 {
                                                                     int   oldrow = -1;

                                                                     /**
                                                                      * Method declaration
                                                                      * @param e
                                                                      */
                                                                     public void valueChanged( ListSelectionEvent e )
                                                                     {
                                                                         int   row = jUserTable.getSelectedRow();     // e.getLastIndex();

                                                                         if ( row == oldrow )
                                                                         {
                                                                             return;
                                                                         }

                                                                         if ( ( oldrow > -1 ) && ( jtxtfldUsername.getText().length() > 0 ) )
                                                                         {
                                                                             jUserTable.getModel().setValueAt( jtxtfldUsername.getText(), oldrow, 0 );
                                                                             jUserTable.getModel().setValueAt( jtxtfldMailUserPwd.getText(), oldrow, 1 );
                                                                             jUserTable.getModel().setValueAt( jtxtfldAliasList.getText(), oldrow, 2 );
                                                                         }

                                                                         oldrow = row;

                                                                         jtxtfldUsername.setText( ( String )( jUserTable.getModel().getValueAt( row, 0 ) ) );
                                                                         jtxtfldMailUserPwd.setText( ( String )( jUserTable.getModel().getValueAt( row, 1 ) ) );
                                                                         jtxtfldAliasList.setText( ( String )( jUserTable.getModel().getValueAt( row, 2 ) ) );
                                                                     }


                                                                 } );
        jTabbedPane1.add( logSettingsPanel, "log Settings" );
        logSettingsPanel.add( jLabel4, new GridBagConstraints( 0, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 0, 34, 0, 287 ), 19, 0 ) );
        logSettingsPanel.add( jLabel5, new GridBagConstraints( 0, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 0, 34, 0, 294 ), 5, 0 ) );
        logSettingsPanel.add( jtxtfldPOPServerLog, new GridBagConstraints( 0, 1, 1, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 34, 0, 283 ), 109, 0 ) );
        logSettingsPanel.add( jtxtfldSMTPServerLog, new GridBagConstraints( 0, 3, 1, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 34, 0, 283 ), 102, 0 ) );
        logSettingsPanel.add( jLabel6, new GridBagConstraints( 0, 4, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 0, 34, 0, 278 ), 1, 0 ) );
        logSettingsPanel.add( jtxtfldSenderLog, new GridBagConstraints( 0, 5, 1, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 34, 0, 283 ), 95, 0 ) );
        logSettingsPanel.add( jLabel7, new GridBagConstraints( 0, 6, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 0, 34, 0, 275 ), 3, 0 ) );
        logSettingsPanel.add( jtxtfldFetcherLog, new GridBagConstraints( 0, 7, 1, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 34, 0, 283 ), 97, 0 ) );
        logSettingsPanel.add( jLabel8, new GridBagConstraints( 0, 8, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 0, 34, 0, 284 ), 7, 0 ) );
        logSettingsPanel.add( jtxtfldStatusLog, new GridBagConstraints( 0, 9, 1, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 34, 0, 283 ), 100, 0 ) );
        logSettingsPanel.add( jtxtfldTransactionLog, new GridBagConstraints( 0, 11, 1, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 34, 35, 283 ), 73, 0 ) );
        logSettingsPanel.add( jLabel12, new GridBagConstraints( 0, 10, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 7, 34, 0, 264 ), 0, 0 ) );
        jTabbedPane1.add( PopAccountsPanel, "remote POP Accounts" );
        PopAccountsPanel.add( jScrollPane2, new GridBagConstraints( 2, 0, 1, 9, 1.0, 1.0, GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets( 27, 38, 12, 14 ), 132, 192 ) );
        PopAccountsPanel.add( jtxtfldPOPServerName, new GridBagConstraints( 0, 1, 2, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 40, 0, 0 ), 67, 0 ) );
        PopAccountsPanel.add( jLabel117, new GridBagConstraints( 0, 0, 2, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 39, 40, 0, 24 ), 0, 0 ) );
        PopAccountsPanel.add( jtxtfldPOPUsername, new GridBagConstraints( 0, 5, 2, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 40, 0, 0 ), 103, 0 ) );
        PopAccountsPanel.add( jLabel115, new GridBagConstraints( 0, 4, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 9, 40, 0, 0 ), 0, 0 ) );
        PopAccountsPanel.add( jLabel116, new GridBagConstraints( 0, 6, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 9, 40, 0, 0 ), 0, 0 ) );
        PopAccountsPanel.add( jtxtfldPOPUserPwd, new GridBagConstraints( 0, 7, 2, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 40, 0, 0 ), 145, 0 ) );
        PopAccountsPanel.add( jtxtfldPOPServerPort, new GridBagConstraints( 0, 3, 1, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 40, 0, 0 ), 31, 0 ) );
        PopAccountsPanel.add( jLabel118, new GridBagConstraints( 0, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 9, 40, 0, 37 ), 0, 0 ) );
        PopAccountsPanel.add( jbtnRemovePOPAccount, new GridBagConstraints( 1, 8, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets( 19, 22, 61, 0 ), 0, 0 ) );
        PopAccountsPanel.add( jbtnAddPOPAccount, new GridBagConstraints( 0, 8, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets( 18, 40, 62, 6 ), 0, 0 ) );
        jTabbedPane1.add( JDBCSettingsPanel, "JDBCSettingsPanel" );
        JDBCSettingsPanel.add( jchkbxEnableJDBC, new GridBagConstraints( 0, 0, 2, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 5, 35, 0, 0 ), 141, 0 ) );
        JDBCSettingsPanel.add( jtxtfldJDBCDriverName, new GridBagConstraints( 0, 2, 2, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 35, 0, 35 ), 153, 0 ) );
        JDBCSettingsPanel.add( jLabel10, new GridBagConstraints( 0, 1, 2, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 0, 35, 0, 114 ), 0, 0 ) );
        JDBCSettingsPanel.add( jLabel11, new GridBagConstraints( 0, 3, 2, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets( 6, 35, 0, 113 ), 0, 0 ) );
        JDBCSettingsPanel.add( jtxtfldJDBCURL, new GridBagConstraints( 0, 4, 2, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets( 0, 35, 0, 35 ), 70, 0 ) );
        JDBCSettingsPanel.add( jbtnJDBCTest, new GridBagConstraints( 0, 5, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets( 31, 40, 0, 0 ), 0, 0 ) );
        JDBCSettingsPanel.add( jTextArea1, new GridBagConstraints( 1, 5, 1, 3, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets( 26, 18, 0, 34 ), 226, 17 ) );
        jTabbedPane1.add( jStatisticsPanel, "Statistics" );
        jStatisticsPanel.add( jtxtfldServerUp,  new GridBagConstraints(1, 0, 1, 1, 1.0, 0.0
                                                                       ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(58, 9, 0, 120), 260, 0) );
        jStatisticsPanel.add( jtxtfldNrMailsIn,  new GridBagConstraints(1, 1, 1, 1, 1.0, 0.0
                                                                        ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(18, 9, 0, 120), 289, 0) );
        jStatisticsPanel.add( jLabel120,  new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
                                                                 ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(21, 62, 0, 0), 0, 0) );
        jStatisticsPanel.add( jtxtfldNrMailsOut,  new GridBagConstraints(1, 2, 1, 1, 1.0, 0.0
                                                                         ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(17, 9, 0, 120), 289, 0) );
        jStatisticsPanel.add( jLabel121,  new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
                                                                 ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(20, 55, 0, 0), 0, 0) );
        jStatisticsPanel.add( jtxtfldSizeofMailsIn,  new GridBagConstraints(1, 3, 1, 1, 1.0, 0.0
                                                                            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(16, 9, 0, 120), 289, 0) );
        jStatisticsPanel.add( jLabel122,  new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
                                                                 ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(19, 51, 0, 0), 0, 0) );
        jStatisticsPanel.add( jLabel123,  new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
                                                                 ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(19, 44, 188, 0), 0, 0) );
        jStatisticsPanel.add( jtxtfldSizeOfMailsOut,  new GridBagConstraints(1, 4, 1, 1, 1.0, 0.0
                                                                             ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(16, 9, 188, 120), 289, 0) );
        jStatisticsPanel.add(jLabel15,  new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
                                                               ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(58, 44, 0, 0), 0, 0));
        this.add( jPanel1, BorderLayout.SOUTH );
        jPanel1.add( jbtnOK, null );
        jPanel1.add( jbtnCancel, null );
        jPanel1.add( jbtnAbout, null );

        // initialize usertable

        TableModel  POPdataModel = new AbstractTableModel()
        {
            String   columnNames[] =
            {
                "Servername", "Username", "Password", "Port"
            };

            /**
             * Method declaration
             * @return
             */
            public int getColumnCount()
            {
                return columnNames.length;
            }


            /**
             * Method declaration
             * @return
             */
            public int getRowCount()
            {
                return ivSettings.getRemotePopAccounts().size();
            }


            /**
             * Method declaration
             * @param row
             * @param col
             * @return
             */
            public Object getValueAt( int row, int col )
            {
                String   account = ( String )ivSettings.getRemotePopAccounts().elementAt( row );

                try
                {
                    StringTokenizer   stringtokenizer = new StringTokenizer( account, ";" );
                    String            columnString = null;

                    for ( int i = 0; i <= col; i++ )
                    {
                        columnString = stringtokenizer.nextToken();
                    }

                    return columnString;
                }
                catch ( Exception x )
                {
                    return "null";
                }
            }


            /**
             * Method declaration
             * @param column
             * @return
             */
            public String getColumnName( int column )
            {
                return columnNames[ column ];
            }


            /**
             * Method declaration
             * @param c
             * @return
             */
            public Class getColumnClass( int c )
            {
                return getValueAt( 0, c ).getClass();
            }


            /**
             * Method declaration
             * @param row
             * @param col
             * @return
             */
            public boolean isCellEditable( int row, int col )
            {
                return false;
            }


            /**
             * Method declaration
             * @param aValue
             * @param row
             * @param column
             */
            public void setValueAt( Object aValue, int row, int column )
            {
                if ( aValue == null )   // remove
                {
                    if ( ( row > -1 ) && ( row < ivSettings.getRemotePopAccounts().size() ) )
                    {
                        ivSettings.getRemotePopAccounts().removeElementAt( row );
                        fireTableRowsDeleted( row, row );
                    }

                    return;
                }

                if ( row < ivSettings.getRemotePopAccounts().size() )
                {
                    ivSettings.getRemotePopAccounts().setElementAt( aValue, row );
                    fireTableRowsUpdated( row, row );
                }
                else
                {
                    ivSettings.getRemotePopAccounts().addElement( ( String )aValue );
                    fireTableRowsInserted( ivSettings.getRemotePopAccounts().size(), ivSettings.getRemotePopAccounts().size() );
                }
            }


        };

        jPOPTable = new JTable( POPdataModel );

        jPOPTable.setToolTipText( "list of remote POP3 Accounts to retrieve mail from (used by Fetcher " + "daemon)" );
        jScrollPane2.getViewport().add( jPOPTable, null );
        jPOPTable.setSelectionMode( 0 );
        jPOPTable.getSelectionModel().addListSelectionListener( new javax.swing.event.ListSelectionListener()
                                                                {
                                                                    int   oldrow = -1;

                                                                    /**
                                                                     * Method declaration
                                                                     * @param e
                                                                     */
                                                                    public void valueChanged( ListSelectionEvent e )
                                                                    {
                                                                        int   row = jPOPTable.getSelectedRow();   // e.getLastIndex();

                                                                        if ( row == oldrow )
                                                                        {
                                                                            return;
                                                                        }

                                                                        if ( ( oldrow > -1 ) && ( jtxtfldPOPUsername.getText().length() > 0 ) )
                                                                        {
                                                                            StringBuffer   popServerSettings = new StringBuffer( 50 );

                                                                            popServerSettings.append( jtxtfldPOPServerName.getText() ).append( ";" ).append( jtxtfldPOPUsername.getText() ).append( ";" ).append( jtxtfldPOPUserPwd.getText() ).append( ";" ).append( jtxtfldPOPServerPort.getText() );
                                                                            jPOPTable.getModel().setValueAt( popServerSettings.toString(), oldrow, 0 );
                                                                        }

                                                                        oldrow = row;

                                                                        jtxtfldPOPServerName.setText( ( String )( jPOPTable.getModel().getValueAt( row, 0 ) ) );
                                                                        jtxtfldPOPUsername.setText( ( String )( jPOPTable.getModel().getValueAt( row, 1 ) ) );
                                                                        jtxtfldPOPUserPwd.setText( ( String )( jPOPTable.getModel().getValueAt( row, 2 ) ) );
                                                                        jtxtfldPOPServerPort.setText( ( String )( jPOPTable.getModel().getValueAt( row, 3 ) ) );
                                                                    }


                                                                } );


        // jStatisticsPanel.setVisible( ivLiveConnection );

        initializeFields();

        if (ivLiveConnection)
        {
            new Thread()
            {
                /**
                 * When an object implementing interface <code>Runnable</code> is used
                 * to create a thread, starting the thread causes the object's
                 * <code>run</code> method to be called in that separately executing
                 * thread.
                 * <p>
                 * The general contract of the method <code>run</code> is that it may
                 * take any action whatsoever.
                 *
                 * @see     java.lang.Thread#run()
                 */
                public void run()
                {
                    while (true)
                    {
                        try
                        {
                            Thread.sleep(2000);
                            updateDynamicFields();
                        }
                        catch (Exception x)
                        {
                        }
                    }
                }
            }.start();
        }
    }


    /**
     * Method declaration
     */
    private void saveFields()
    {
        ivSettings.setHomeDirectory( jtxtfldHomeDir.getText() );
        ivSettings.setLocalDomainName( jtxtfldDomainName.getText() );
        ivSettings.setSMTPServer( jtxtfldSMTPServer.getText() );
        ivSettings.setPOP3LogFile( jtxtfldPOPServerLog.getText() );
        ivSettings.setSMTPLogFile( jtxtfldSMTPServerLog.getText() );
        ivSettings.setSenderLogFile( jtxtfldSenderLog.getText() );
        ivSettings.setFetcherLogFile( jtxtfldFetcherLog.getText() );
        ivSettings.setStatusLogFile( jtxtfldStatusLog.getText() );
        ivSettings.setTransactionLogFile( jtxtfldTransactionLog.getText() );
        ivSettings.setRemoteSMTPPort( Integer.parseInt( jtxtfldSMTPServerPort.getText() ) );
        ivSettings.setUseJDBC( jchkbxEnableJDBC.isSelected() );
        ivSettings.setJDBCURL( jtxtfldJDBCURL.getText() );
        ivSettings.setJDBCDriver( jtxtfldJDBCDriverName.getText() );
        ivSettings.setRunSenderDaemon( jchkbxRunSender.isSelected() );
        ivSettings.setRunFetcherDaemon( jchkbxRunFetcher.isSelected() );
        ivSettings.setShowStatusWindow( jchkbxStatusWindow.isSelected());

        ivSettings.setLocalPop3Port( Integer.parseInt( jtxtfldPOPLocalPort.getText() ) );
        ivSettings.setLocalSMTPPort( Integer.parseInt( jtxtfldSMTPLocalPort.getText() ) );
        ivSettings.setAdmin( jtxtfldAdmin.getText() );
        ivSettings.setUnknownUsername( jtxtfldDefaultUser.getText() );
        ivSettings.setRemoteSMTPPort( Integer.parseInt( jtxtfldSMTPServerPort.getText() ) );
        ivSettings.setFetcherDelay( Integer.parseInt( jtxtfldFetcherDelay.getText() ) );
        ivSettings.setDNServer( jtxtfldDNServer.getText() );

        ivSettings.setMaxThreads( Integer.parseInt( jtxtfldMaxThreads.getText()));

    }


    /**
     * Method declaration
     */
    void updateDynamicFields()
    {
        if (ivLiveConnection == true)
        {
            try
            {
                jtxtfldNrMailsIn.setText( Long.toString( msAdmin.getNrOfIncomingMail() ) );
                jtxtfldNrMailsOut.setText( Long.toString( msAdmin.getNrOfOutgoingMail() ) );
                jtxtfldSizeofMailsIn.setText( Long.toString( msAdmin.getSizeOfIncomingMail() ) );
                jtxtfldSizeOfMailsOut.setText( Long.toString( msAdmin.getSizeOfOutgoingMail()) );
            }
            catch (java.rmi.RemoteException x)
            {
                // do nothing.......
            }
        }
        else
        {
            jtxtfldNrMailsIn.setText( Long.toString( ivSettings.getNrOfMailsIn() ) );
            jtxtfldNrMailsOut.setText( Long.toString( ivSettings.getNrOfMailsOut() ) );
            jtxtfldSizeofMailsIn.setText( Long.toString( ivSettings.getSizeofMailsIn() ) );
            jtxtfldSizeOfMailsOut.setText( Long.toString( ivSettings.getSizeofMailsOut() ) );
        }
    }

    /**
     * Method declaration
     */
    private void initializeFields()
    {
        jtxtfldHomeDir.setText( ivSettings.getHomeDirectory() );
        jtxtfldDomainName.setText( ivSettings.getLocalDomainName() );
        jtxtfldSMTPServer.setText( ivSettings.getSMTPServer() );
        jtxtfldSMTPServerPort.setText( Integer.toString( ivSettings.getRemoteSMTPPort() ) );
        jtxtfldPOPServerLog.setText( ivSettings.getPOP3LogFile() );
        jtxtfldSMTPServerLog.setText( ivSettings.getSMTPLogFile() );
        jtxtfldSenderLog.setText( ivSettings.getSenderLogFile() );
        jtxtfldFetcherLog.setText( ivSettings.getFetcherLogFile() );
        jtxtfldStatusLog.setText( ivSettings.getStatusLogFile() );
        jtxtfldTransactionLog.setText( ivSettings.getTransactionLogFile() );
        jtxtfldSMTPServerPort.setText( Integer.toString( ivSettings.getRemoteSMTPPort() ) );
        jtxtfldFetcherDelay.setText( Integer.toString( ivSettings.getFetcherDelay() ) );
        jchkbxEnableJDBC.setSelected( ivSettings.isUseJDBC() );
        jtxtfldJDBCURL.setText( ivSettings.getJDBCURL() );
        jtxtfldJDBCDriverName.setText( ivSettings.getJDBCDriver() );
        jchkbxRunSender.setSelected( ivSettings.isRunSenderDaemon() );
        jchkbxRunFetcher.setSelected( ivSettings.isRunFetcherDaemon() );

        jchkbxStatusWindow.setSelected( ivSettings.isShowStatusWindow() );


        jtxtfldPOPLocalPort.setText( Integer.toString( ivSettings.getLocalPop3Port() ) );
        jtxtfldSMTPLocalPort.setText( Integer.toString( ivSettings.getLocalSMTPPort() ) );
        jtxtfldAdmin.setText( ivSettings.getAdmin() );
        jtxtfldDefaultUser.setText( ivSettings.getUnknownUsername() );
        jtxtfldMaxThreads.setText( Integer.toString(ivSettings.getMaxThreads()));

        if ( ivSettings.getUpSince() != null )
        {
            jtxtfldServerUp.setText( ivSettings.getUpSince().toString() );
        }

        jtxtfldDNServer.setText( ivSettings.getDNServer() );

        updateDynamicFields();

        // jtxtfldFetcherDelay.setText(
        // jtxtfldUsername.setText(
        // jtxtfldAliasList.setText(
        // jtxtfldMailUserPwd.setText(

        /*
         * public String getUnknownUser() {
         * return unknownUser;
         * }
         */

    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnCancel_actionPerformed( ActionEvent e )
    {
        System.exit( -1 );
    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnOK_actionPerformed( ActionEvent e )
    {
        saveFields();
        ivSettings.hasChangedSoNotify();
        System.exit( 0 );
    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnAddUser_actionPerformed( ActionEvent e )
    {
        if ( jtxtfldUsername.getText().length() > 0 )
        {
            int   newRow = jUserTable.getModel().getRowCount();

            jUserTable.getModel().setValueAt( jtxtfldUsername.getText(), newRow, 0 );
            jUserTable.getModel().setValueAt( jtxtfldMailUserPwd.getText(), newRow, 1 );
            jUserTable.getModel().setValueAt( jtxtfldAliasList.getText(), newRow, 2 );
            jtxtfldUsername.setText( "" );
            jtxtfldMailUserPwd.setText( "" );
            jtxtfldAliasList.setText( "" );
        }
    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnRemoveUser_actionPerformed( ActionEvent e )
    {
        jUserTable.getModel().setValueAt( null, jUserTable.getSelectedRow(), 0 );
        jtxtfldUsername.setText( "" );
        jtxtfldMailUserPwd.setText( "" );
        jtxtfldAliasList.setText( "" );
    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnAdmin_actionPerformed( ActionEvent e )
    {
        int   row = jUserTable.getSelectedRow();

        if ( row > -1 )
        {
            jtxtfldAdmin.setText( ( String )jUserTable.getModel().getValueAt( row, 0 ) );
        }
    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnDefault_actionPerformed( ActionEvent e )
    {
        int   row = jUserTable.getSelectedRow();

        if ( row > -1 )
        {
            jtxtfldDefaultUser.setText( ( String )jUserTable.getModel().getValueAt( row, 0 ) );
        }
    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnAddPOPAccount_actionPerformed( ActionEvent e )
    {
        if ( ( jtxtfldPOPServerName.getText().length() == 0 ) || ( jtxtfldPOPUsername.getText().length() == 0 ) || ( jtxtfldPOPUserPwd.getText().length() == 0 ) || ( jtxtfldPOPServerPort.getText().length() == 0 ) )
        {
            return;
        }

        StringBuffer   popServerSettings = new StringBuffer( 50 );

        popServerSettings.append( jtxtfldPOPServerName.getText() ).append( ";" ).append( jtxtfldPOPUsername.getText() ).append( ";" ).append( jtxtfldPOPUserPwd.getText() ).append( ";" ).append( jtxtfldPOPServerPort.getText() );
        jPOPTable.getModel().setValueAt( popServerSettings.toString(), jPOPTable.getRowCount(), 0 );
        jtxtfldPOPServerName.setText( "" );
        jtxtfldPOPUsername.setText( "" );
        jtxtfldPOPUserPwd.setText( "" );
        jtxtfldPOPServerPort.setText( "" );
    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnRemovePOPAccount_actionPerformed( ActionEvent e )
    {
        jPOPTable.getModel().setValueAt( null, jPOPTable.getSelectedRow(), 0 );
        jtxtfldPOPServerName.setText( "" );
        jtxtfldPOPUsername.setText( "" );
        jtxtfldPOPUserPwd.setText( "" );
        jtxtfldPOPServerPort.setText( "" );
    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnJDBCTest_actionPerformed( ActionEvent e )
    {

        // test the connection to the mailserver

        boolean  test = false;
        String   driverClasses = jtxtfldJDBCDriverName.getText();
        String   JDBCURL = jtxtfldJDBCURL.getText();

        if ( ( driverClasses != null ) && ( JDBCURL != null ) )
        {
            jTextArea1.setText( "testing..." );

            // try to load the driver classes etc

            try
            {
                test = JDBCConfig.testConnection( driverClasses );
            }
            catch ( ClassNotFoundException cnfx )
            {
                jTextArea1.setText( "the connection to the JDBC Datasource failed\nthe driver class " + driverClasses + " could not be loaded\n Please check your CLASSPATH settings and try again." );
            }
            catch ( IllegalAccessException iax )
            {
                jTextArea1.setText( "the connection to the JDBC Datasource failed\nthe driver class " + driverClasses + " could not be accessed due to JAVA language constraints." );
            }
            catch ( InstantiationException ix )
            {
                jTextArea1.setText( "the connection to the JDBC Datasource failed\nthe driver class " + driverClasses + " could not be instantiated." );
            }

            if ( test == true )
            {

                // try to establish connection

                try
                {
                    Connection  connection = DriverManager.getConnection( JDBCURL );

                    test = ( connection != null );

                    if ( test == true )
                    {
                        jTextArea1.setText( "The test was completeted successfully!" );
                    }
                }
                catch ( SQLException sx )
                {
                    jTextArea1.setText( "the connection to the JDBC Datasource failed\nthe URL seems to be either wrong or incomplete\n or the server cannot be reached" );
                }
            }
        }
        else
        {
            jTextArea1.setText( "Either drivername or URL is missing !" );
        }
    }


    /**
     * Method declaration
     * @param e
     */
    void jbtnAbout_actionPerformed( ActionEvent e )
    {

        // HelpAboutDialog.showTimedDialog( getFrame(), "About Java Mailserver", false, 5);

    }

    void jtxtfldMaxThreads_actionPerformed(ActionEvent e)
    {

    }


}



/*--- formatting done in "JPS Convention" style on 08-20-2001 ---*/

