/*--- formatted by Jindent 2.1, (www.c-lab.de/~jindent) ---*/

/********************************************************************************************
* CVS Info
*
* $Source: /cvsroot/jmailsrv/jmailserver/at/jps/mailserver/util/BusyFlag.java,v $
*
* $Author: furykid $
* $Date: 2002/01/20 16:13:29 $
*
* modification history:
*
* $Log: BusyFlag.java,v $
* Revision 1.2  2002/01/20 16:13:29  furykid
* added new header for cvs information
*

*********************************************************************************************/


package at.jps.mailserver.util;

/*
 * Copyright (c) 1999 by Johannes Plachy
 */

/**
 * Class declaration
 * @author
 * @version %I%, %G%
 */
public class BusyFlag
{
   protected Thread  ivBusyflag = null;
   protected int     ivBusycount = 0;

   /**
    * Method declaration
    */
   public synchronized void getBusyFlag()
   {
      while ( tryGetBusyFlag() == false )
      {
         try
         {
            wait();
         }
         catch ( Exception e ) {}
      }
   }


   /**
    * Method declaration
    * @return
    */
   public synchronized boolean tryGetBusyFlag()
   {
      if ( ivBusyflag == null )
      {
         ivBusyflag = Thread.currentThread();
         ivBusycount = 1;

         return true;
      }

      if ( ivBusyflag == Thread.currentThread() )
      {
         ivBusycount++;

         return true;
      }

      return false;
   }


   /**
    * Method declaration
    */
   public synchronized void freeBusyFlag()
   {
      if ( getBusyFlagOwner() == Thread.currentThread() )
      {
         ivBusycount--;

         if ( ivBusycount == 0 )
         {
            ivBusyflag = null;

            notify();
         }
      }
   }


   /**
    * Method declaration
    * @return
    */
   public synchronized Thread getBusyFlagOwner()
   {
      return ivBusyflag;
   }


}



/*--- formatting done in "JPS Convention" style on 08-20-2001 ---*/

